ressource.socialbetadocumentation
API referencePins

Put a source in the read-later queue

Idempotent. Already queued is a no-op; already read puts it back in the queue. A source the caller cannot open is 404.

PUT
/api/v1/pins/{sourceId}

Sends a real request with your token. Prefer a read-only token; it is kept in this browser's storage.

Idempotent. Already queued is a no-op; already read puts it back in the queue. A source the caller cannot open is 404.

Authorization

headerAuthorizationBearer <token>

A personal access token (rsk_…) or a Supabase access token.

Path Parameters

sourceId*string
Length1 <= length <= 64

Response Body

The pin

application/json
  1. response
bookmark_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
pinned_at*string
read_at*string|null
curl -X PUT 'https://www.ressource.social/api/v1/pins/string'
{  "bookmark_id": "49a78d35-bc45-4a39-a336-d00349864577",  "pinned_at": "string",  "read_at": "string"}